Bug 112215 - unable to dlopen /usr/lib/sasl2/libsasldb.so.2: /lib/libdb-4.1.so: undefined symbol: pthread_condattr_setpshared
Summary: unable to dlopen /usr/lib/sasl2/libsasldb.so.2: /lib/libdb-4.1.so: undefined ...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: cyrus-sasl   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-16 10:57 UTC by Nicolas Mailhot
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-19 18:13:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicolas Mailhot 2003-12-16 10:57:09 UTC
It seems /var/log messages is full of 

unable to dlopen /usr/lib/sasl2/libsasldb.so.2: /lib/libdb-4.1.so:
undefined symbol: pthread_condattr_setpshared

today. Network was dead this morning and (surprise) I find a :

dhclient: unable to dlopen /usr/lib/sasl2/libsasldb.so.2:
/lib/libdb-4.1.so: undefined symbol: pthread_condattr_setpshared

in the logs.

db4-4.2.52-1
db4-utils-4.2.52-1
db4-devel-4.2.52-1
compat-db-4.1.25-1

cyrus-sasl-devel-2.1.15-6
cyrus-sasl-md5-2.1.15-6
cyrus-sasl-plain-2.1.15-6
cyrus-sasl-2.1.15-6
cyrus-sasl-gssapi-2.1.15-6

dhclient-3.0pl2-6.17

Comment 1 Jeff Johnson 2003-12-16 16:47:43 UTC
FY: this bug has nothing to do with db4.

There are 2 pproblems here:
    1) compat-db has libdb-4.1 not linked against -lpthread
    2) cyrus-sasl needs rebuild against db-4.2.52 (in process).

2) is the critical path bug, so reassigning.

1) will be resolved by killing compat-db, also in process.

Comment 2 Nalin Dahyabhai 2003-12-16 17:53:51 UTC
Jeff, 1) also includes libdb-4.1.so requiring the nptl version of
libpthread, which means it can't be used at all on < i686 systems. 
Working on 2).

Comment 3 Nalin Dahyabhai 2003-12-18 00:22:28 UTC
Hmm.  The libdb-4.0.so in compat-db also requires nptl libpthread now.

Comment 5 Nicolas Mailhot 2004-02-19 18:13:47 UTC
Seems fixed (at least here)


Note You need to log in before you can comment on or make changes to this bug.